# FairMQ: fair::mq::sdk::AsioAsyncOp< Executor, Allocator, SignatureReturnType(SignatureFirstArgType, SignatureArgTypes...)> Struct Template Reference

fair::mq::sdk::AsioAsyncOp< Executor, Allocator, SignatureReturnType(SignatureFirstArgType, SignatureArgTypes...)> Struct Template Reference

`#include <AsioAsyncOp.h>`

## Public Types

using | Duration = std::chrono::milliseconds

## Public Member Functions

| AsioAsyncOp ()
| Default Ctor.
template<typename Handler >
| AsioAsyncOp (Executor ex1, Allocator alloc1, Handler &&handler)
| Ctor with handler.
template<typename Handler >
| AsioAsyncOp (Executor ex1, Handler &&handler)
| Ctor with handler #2.
template<typename Handler >
| AsioAsyncOp (Handler &&handler)
| Ctor with handler #3.
auto | IsCompleted () -> bool
auto | Complete (std::error_code ec, SignatureArgTypes... args) -> void
auto | Complete (SignatureArgTypes... args) -> void
auto | Cancel (SignatureArgTypes... args) -> void
auto | Timeout (SignatureArgTypes... args) -> void

## Detailed Description

### template<typename Executor, typename Allocator, typename SignatureReturnType, typename SignatureFirstArgType, typename... SignatureArgTypes>
struct fair::mq::sdk::AsioAsyncOp< Executor, Allocator, SignatureReturnType(SignatureFirstArgType, SignatureArgTypes...)>

Template Parameters

  Executor | See primary template
  Allocator | See primary template
  SignatureReturnType | Return type of CompletionSignature, see primary template
  SignatureFirstArgType | Type of first argument of CompletionSignature, see primary template
  SignatureArgTypes | Types of the rest of arguments of CompletionSignature

partial specialization to deconstruct CompletionSignature

The documentation for this struct was generated from the following file:

- fairmq/sdk/AsioAsyncOp.h

privacy